<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="AndroidLayouts">
    <shared>
      <config />
    </shared>
  </component>
  <component name="AndroidLogFilters">
    <option name="TOOL_WINDOW_LOG_LEVEL" value="debug" />
    <option name="TOOL_WINDOW_CONFIGURED_FILTER" value="No Filters" />
  </component>
  <component name="AutoImportSettings">
    <option name="autoReloadType" value="NONE" />
  </component>
  <component name="ChangeListManager">
    <list default="true" id="0240b328-c7c3-4c36-9a40-5199a2d6e6a2" name="Default Changelist" comment="" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="ExecutionTargetManager" SELECTED_TARGET="device_and_snapshot_combo_box_target[VirtualDevicePath@C:\Users\di.wu\.android\avd\Pixel_3a_API_30_x86.avd]" />
  <component name="ExternalProjectsData">
    <projectState path="$PROJECT_DIR$">
      <ProjectState />
    </projectState>
  </component>
  <component name="ExternalProjectsManager">
    <system id="GRADLE">
      <state>
        <projects_view>
          <tree_state>
            <expand>
              <path>
                <item name="" type="6a2764b6:ExternalProjectsStructure$RootNode" />
                <item name="KozenPrinterDemo" type="f1a62948:ProjectNode" />
              </path>
              <path>
                <item name="" type="6a2764b6:ExternalProjectsStructure$RootNode" />
                <item name="KozenPrinterDemo" type="f1a62948:ProjectNode" />
                <item name="app" type="2d1252cf:ModuleNode" />
              </path>
              <path>
                <item name="" type="6a2764b6:ExternalProjectsStructure$RootNode" />
                <item name="KozenPrinterDemo" type="f1a62948:ProjectNode" />
                <item name="app" type="2d1252cf:ModuleNode" />
                <item name="Dependencies" type="6de06a37:ExternalSystemViewDefaultContributor$MyDependenciesNode" />
              </path>
            </expand>
            <select />
          </tree_state>
        </projects_view>
      </state>
    </system>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Class" />
        <option value="resourceFile" />
        <option value="layoutResourceFile_vertical" />
      </list>
    </option>
  </component>
  <component name="ProjectId" id="1xUZoB26e3iGkSEl3GdohA6IB41" />
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent">
    <property name="DeviceAndSnapshotComboBoxAction.selectedDevice" value="SerialNumber@0123456789ABCDEF" />
    <property name="DeviceAndSnapshotComboBoxAction.selectionTime" value="2021-09-08T01:51:44.720835300Z" />
    <property name="RunOnceActivity.OpenProjectViewOnStart" value="true" />
    <property name="android-custom-viewC:/Users/Os/.gradle/caches/modules-2/files-2.1/androidx.appcompat/appcompat/1.1.0/9865019bbd2d95e41dede3d8ebf964aa93f97766/appcompat-1.1.0-sources.jar!/androidx/appcompat/widget/AppCompatSpinner.java_SELECTED" value="AppCompatSpinner" />
    <property name="android-custom-viewC:/Users/Os/.gradle/caches/modules-2/files-2.1/com.sunmi/sunmiui/1.1.27/7a9677790abac0410f5cfe6d419169322ce56bdc/sunmiui-1.1.27-sources.jar!/sunmi/sunmiui/SettingItemView.java_SELECTED" value="SettingItemView" />
    <property name="android-custom-viewC:/Users/Os/.gradle/caches/modules-2/files-2.1/com.sunmi/sunmiui/1.1.27/7a9677790abac0410f5cfe6d419169322ce56bdc/sunmiui-1.1.27-sources.jar!/sunmi/sunmiui/TitleView.java_SELECTED" value="TitleView" />
    <property name="android-custom-viewC:/Users/Os/.gradle/caches/modules-2/files-2.1/com.sunmi/sunmiui/1.1.27/7a9677790abac0410f5cfe6d419169322ce56bdc/sunmiui-1.1.27-sources.jar!/sunmi/sunmiui/button/ButtonRectangular.java_SELECTED" value="ButtonRectangular" />
    <property name="android-custom-viewC:/Users/Os/.gradle/caches/modules-2/files-2.1/com.sunmi/sunmiui/1.1.27/7a9677790abac0410f5cfe6d419169322ce56bdc/sunmiui-1.1.27-sources.jar!/sunmi/sunmiui/button/ButtonRoundCorner.java_SELECTED" value="ButtonRoundCorner" />
    <property name="android-custom-viewC:/Users/Os/.gradle/caches/modules-2/files-2.1/com.sunmi/sunmiui/1.1.27/7a9677790abac0410f5cfe6d419169322ce56bdc/sunmiui-1.1.27-sources.jar!/sunmi/sunmiui/button/ButtonSwitch.java_SELECTED" value="ButtonSwitch" />
    <property name="android-custom-viewC:/Users/Os/.gradle/caches/modules-2/files-2.1/com.sunmi/sunmiui/1.1.27/7a9677790abac0410f5cfe6d419169322ce56bdc/sunmiui-1.1.27-sources.jar!/sunmi/sunmiui/edit/BaseEdit.java_SELECTED" value="BaseEdit" />
    <property name="android-custom-viewC:/Users/Os/.gradle/caches/modules-2/files-2.1/com.sunmi/sunmiui/1.1.27/7a9677790abac0410f5cfe6d419169322ce56bdc/sunmiui-1.1.27-sources.jar!/sunmi/sunmiui/edit/Edit.java_SELECTED" value="Edit" />
    <property name="android-custom-viewC:/Users/Os/.gradle/caches/modules-2/files-2.1/com.sunmi/sunmiui/1.1.27/7a9677790abac0410f5cfe6d419169322ce56bdc/sunmiui-1.1.27-sources.jar!/sunmi/sunmiui/edit/EditPwd.java_SELECTED" value="EditPwd" />
    <property name="android-custom-viewC:/Users/Os/.gradle/caches/modules-2/files-2.1/com.sunmi/sunmiui/1.1.27/7a9677790abac0410f5cfe6d419169322ce56bdc/sunmiui-1.1.27-sources.jar!/sunmi/sunmiui/list/SunmiList.java_SELECTED" value="SunmiList" />
    <property name="android-custom-viewC:/Users/Os/.gradle/caches/modules-2/files-2.1/com.sunmi/sunmiui/1.1.27/7a9677790abac0410f5cfe6d419169322ce56bdc/sunmiui-1.1.27-sources.jar!/sunmi/sunmiui/title/CategoryTitle.java_SELECTED" value="CategoryTitle" />
    <property name="android-custom-viewC:/Users/Os/.gradle/caches/modules-2/files-2.1/com.sunmi/sunmiui/1.1.27/7a9677790abac0410f5cfe6d419169322ce56bdc/sunmiui-1.1.27-sources.jar!/sunmi/sunmiui/title/EnterItem.java_SELECTED" value="EnterItem" />
    <property name="android-custom-viewC:/Users/Os/.gradle/caches/modules-2/files-2.1/com.sunmi/sunmiui/1.1.27/7a9677790abac0410f5cfe6d419169322ce56bdc/sunmiui-1.1.27-sources.jar!/sunmi/sunmiui/title/SwitchItem.java_SELECTED" value="SwitchItem" />
    <property name="android-custom-viewC:/Users/Os/.gradle/caches/modules-2/files-2.1/com.sunmi/sunmiui/1.1.27/7a9677790abac0410f5cfe6d419169322ce56bdc/sunmiui-1.1.27-sources.jar!/sunmi/sunmiui/title/Title.java_SELECTED" value="Title" />
    <property name="android-custom-viewC:/Users/Os/.gradle/caches/modules-2/files-2.1/com.sunmi/sunmiui/1.1.27/7a9677790abac0410f5cfe6d419169322ce56bdc/sunmiui-1.1.27-sources.jar!/sunmi/sunmiui/title/TitleHead.java_SELECTED" value="TitleHead" />
    <property name="android-custom-viewC:/Users/Os/.gradle/caches/modules-2/files-2.1/com.sunmi/sunmiui/1.1.27/7a9677790abac0410f5cfe6d419169322ce56bdc/sunmiui-1.1.27-sources.jar!/sunmi/sunmiui/view/ErrorView.java_SELECTED" value="ErrorView" />
    <property name="android-custom-viewC:/Users/Os/.gradle/caches/modules-2/files-2.1/com.sunmi/sunmiui/1.1.27/7a9677790abac0410f5cfe6d419169322ce56bdc/sunmiui-1.1.27-sources.jar!/sunmi/sunmiui/view/LoadView.java_SELECTED" value="LoadView" />
    <property name="android-custom-viewC:/Users/Os/.gradle/caches/modules-2/files-2.1/com.sunmi/sunmiui/1.1.27/7a9677790abac0410f5cfe6d419169322ce56bdc/sunmiui-1.1.27-sources.jar!/sunmi/sunmiui/viewgraoup/PagerSlidingTabStrip.java_SELECTED" value="PagerSlidingTabStrip" />
    <property name="android-custom-viewC:/Users/Os/.gradle/caches/modules-2/files-2.1/com.sunmi/sunmiui/1.1.27/7a9677790abac0410f5cfe6d419169322ce56bdc/sunmiui-1.1.27-sources.jar!/sunmi/sunmiui/viewgraoup/TabViewPager.java_SELECTED" value="TabViewPager" />
    <property name="android-custom-viewD:/AndroidStudioProjects/KozenPrinterDemo/kozenui/src/main/java/com/kozen/kozenui/button/ButtonRectangular.java_SELECTED" value="ButtonRectangular" />
    <property name="android-custom-viewF:/Program Files/Android/AndroidStudioProjects/KozenPrinterDemo/app/src/main/java/com/kozen/kozenui/SettingItemView.java_SELECTED" value="SettingItemView" />
    <property name="android-custom-viewF:/Program Files/Android/AndroidStudioProjects/KozenPrinterDemo/app/src/main/java/com/kozen/kozenui/TitleView.java_SELECTED" value="TitleView" />
    <property name="android-custom-viewF:/Program Files/Android/AndroidStudioProjects/KozenPrinterDemo/app/src/main/java/com/kozen/kozenui/button/ButtonRectangular.java_SELECTED" value="ButtonRectangular" />
    <property name="android-custom-viewF:/Program Files/Android/AndroidStudioProjects/KozenPrinterDemo/app/src/main/java/com/kozen/kozenui/button/ButtonRoundCorner.java_SELECTED" value="ButtonRoundCorner" />
    <property name="android-custom-viewF:/Program Files/Android/AndroidStudioProjects/KozenPrinterDemo/app/src/main/java/com/kozen/kozenui/button/ButtonSwitch.java_SELECTED" value="ButtonSwitch" />
    <property name="android-custom-viewF:/Program Files/Android/AndroidStudioProjects/KozenPrinterDemo/app/src/main/java/com/kozen/kozenui/edit/BaseEdit.java_SELECTED" value="BaseEdit" />
    <property name="android-custom-viewF:/Program Files/Android/AndroidStudioProjects/KozenPrinterDemo/app/src/main/java/com/kozen/kozenui/edit/Edit.java_SELECTED" value="Edit" />
    <property name="android-custom-viewF:/Program Files/Android/AndroidStudioProjects/KozenPrinterDemo/kozenui/src/main/java/com/kozen/kozenui/SettingItemView.java_SELECTED" value="SettingItemView" />
    <property name="android-custom-viewF:/Program Files/Android/AndroidStudioProjects/KozenPrinterDemo/kozenui/src/main/java/com/kozen/kozenui/TitleView.java_SELECTED" value="TitleView" />
    <property name="android-custom-viewF:/Program Files/Android/AndroidStudioProjects/KozenPrinterDemo/kozenui/src/main/java/com/kozen/kozenui/button/ButtonRectangular.java_SELECTED" value="ButtonRectangular" />
    <property name="android-custom-viewF:/Program Files/Android/AndroidStudioProjects/KozenPrinterDemo/kozenui/src/main/java/com/kozen/kozenui/edit/BaseEdit.java_SELECTED" value="BaseEdit" />
    <property name="android-custom-viewF:/Program Files/Android/AndroidStudioProjects/KozenPrinterDemo/kozenui/src/main/java/com/kozen/kozenui/viewgroup/PagerSlidingTabStrip.java_SELECTED" value="PagerSlidingTabStrip" />
    <property name="android-custom-viewF:/Program Files/Android/Sdk/sources/android-30/android/widget/TextView.java_SELECTED" value="TextView" />
    <property name="last_directory_selection" value="$PROJECT_DIR$/app/src/main/res/drawable-xhdpi" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$" />
    <property name="project.structure.last.edited" value="Dependencies" />
    <property name="project.structure.proportion" value="0.17" />
    <property name="project.structure.side.proportion" value="0.2" />
    <property name="settings.editor.selected.configurable" value="AndroidSdkUpdater" />
  </component>
  <component name="PsdUISettings">
    <option name="MODULE_TAB" value="Properties" />
    <option name="LAST_EDITED_SIGNING_CONFIG" value="debug" />
    <option name="LAST_EDITED_BUILD_TYPE" value="release" />
  </component>
  <component name="RecentsManager">
    <key name="MoveClassesOrPackagesDialog.RECENTS_KEY">
      <recent name="com.kozen.printerlibrary" />
    </key>
    <key name="CopyClassDialog.RECENTS_KEY">
      <recent name="com.xcheng.printerservice" />
      <recent name="com.prints.printservice" />
      <recent name="com.kozen.printerhelper.activity" />
      <recent name="com.kozen.printerhelper.utils" />
      <recent name="com.kozen.printerhelper.threadhelp" />
    </key>
    <key name="CopyFile.RECENT_KEYS">
      <recent name="F:\Program Files\Android\AndroidStudioProjects\KozenPrinterDemo\app\src\main\res-kozenui\drawable" />
      <recent name="F:\Program Files\Android\AndroidStudioProjects\KozenPrinterDemo\app\src\main\java\com\kozen" />
      <recent name="F:\Program Files\Android\AndroidStudioProjects\KozenPrinterDemo\app\src\main\res-kozenui" />
      <recent name="F:\Program Files\Android\AndroidStudioProjects\KozenPrinterDemo\kozenui\src\main\res\drawable" />
      <recent name="F:\Program Files\Android\AndroidStudioProjects\KozenPrinterDemo\app\src\res-kozenui" />
    </key>
  </component>
  <component name="RunManager" selected="Android App.app">
    <configuration default="true" type="AndroidJUnit" factoryName="Android JUnit">
      <option name="TEST_OBJECT" value="class" />
      <option name="WORKING_DIRECTORY" value="$MODULE_DIR$" />
      <method v="2">
        <option name="Android.Gradle.BeforeRunTask" enabled="true" />
      </method>
    </configuration>
    <configuration name="app" type="AndroidRunConfigurationType" factoryName="Android App" activateToolWindowBeforeRun="false">
      <module name="KozenPrinterDemo.app" />
      <option name="DEPLOY" value="true" />
      <option name="DEPLOY_APK_FROM_BUNDLE" value="false" />
      <option name="DEPLOY_AS_INSTANT" value="false" />
      <option name="ARTIFACT_NAME" value="" />
      <option name="PM_INSTALL_OPTIONS" value="" />
      <option name="ALL_USERS" value="false" />
      <option name="ALWAYS_INSTALL_WITH_PM" value="false" />
      <option name="DYNAMIC_FEATURES_DISABLED_LIST" value="" />
      <option name="ACTIVITY_EXTRA_FLAGS" value="" />
      <option name="MODE" value="default_activity" />
      <option name="CLEAR_LOGCAT" value="false" />
      <option name="SHOW_LOGCAT_AUTOMATICALLY" value="false" />
      <option name="SKIP_NOOP_APK_INSTALLATIONS" value="true" />
      <option name="FORCE_STOP_RUNNING_APP" value="true" />
      <option name="TARGET_SELECTION_MODE" value="DEVICE_AND_SNAPSHOT_COMBO_BOX" />
      <option name="SELECTED_CLOUD_MATRIX_CONFIGURATION_ID" value="-1" />
      <option name="SELECTED_CLOUD_MATRIX_PROJECT_ID" value="" />
      <option name="DEBUGGER_TYPE" value="Auto" />
      <Auto>
        <option name="USE_JAVA_AWARE_DEBUGGER" value="false" />
        <option name="SHOW_STATIC_VARS" value="true" />
        <option name="WORKING_DIR" value="" />
        <option name="TARGET_LOGGING_CHANNELS" value="lldb process:gdb-remote packets" />
        <option name="SHOW_OPTIMIZED_WARNING" value="true" />
      </Auto>
      <Hybrid>
        <option name="USE_JAVA_AWARE_DEBUGGER" value="false" />
        <option name="SHOW_STATIC_VARS" value="true" />
        <option name="WORKING_DIR" value="" />
        <option name="TARGET_LOGGING_CHANNELS" value="lldb process:gdb-remote packets" />
        <option name="SHOW_OPTIMIZED_WARNING" value="true" />
      </Hybrid>
      <Java />
      <Native>
        <option name="USE_JAVA_AWARE_DEBUGGER" value="false" />
        <option name="SHOW_STATIC_VARS" value="true" />
        <option name="WORKING_DIR" value="" />
        <option name="TARGET_LOGGING_CHANNELS" value="lldb process:gdb-remote packets" />
        <option name="SHOW_OPTIMIZED_WARNING" value="true" />
      </Native>
      <Profilers>
        <option name="ADVANCED_PROFILING_ENABLED" value="false" />
        <option name="STARTUP_PROFILING_ENABLED" value="false" />
        <option name="STARTUP_CPU_PROFILING_ENABLED" value="false" />
        <option name="STARTUP_CPU_PROFILING_CONFIGURATION_NAME" value="Sample Java Methods" />
        <option name="STARTUP_NATIVE_MEMORY_PROFILING_ENABLED" value="false" />
        <option name="NATIVE_MEMORY_SAMPLE_RATE_BYTES" value="2048" />
      </Profilers>
      <option name="DEEP_LINK" value="" />
      <option name="ACTIVITY_CLASS" value="" />
      <option name="SEARCH_ACTIVITY_IN_GLOBAL_SCOPE" value="false" />
      <option name="SKIP_ACTIVITY_VALIDATION" value="false" />
      <method v="2">
        <option name="Android.Gradle.BeforeRunTask" enabled="true" />
      </method>
    </configuration>
    <configuration name="core-3.3.0.jar" type="JarApplication" temporary="true">
      <option name="JAR_PATH" value="$PROJECT_DIR$/app/libs/core-3.3.0.jar" />
      <method v="2" />
    </configuration>
    <recent_temporary>
      <list>
        <item itemvalue="JAR Application.core-3.3.0.jar" />
      </list>
    </recent_temporary>
  </component>
  <component name="SpellCheckerSettings" RuntimeDictionaries="0" Folders="0" CustomDictionaries="0" DefaultDictionary="application-level" UseSingleDictionary="true" transferred="true" />
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="0240b328-c7c3-4c36-9a40-5199a2d6e6a2" name="Default Changelist" comment="" />
      <created>1630411801766</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1630411801766</updated>
    </task>
    <servers />
  </component>
  <component name="WindowStateProjectService">
    <state x="293" y="0" key="#Java" timestamp="1632741731166">
      <screen x="0" y="0" width="1440" height="860" />
    </state>
    <state x="293" y="0" key="#Java/0.0.1440.860@0.0.1440.860" timestamp="1632741731166" />
    <state x="564" y="173" key="#PSD" timestamp="1637044698843">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state x="158" y="91" key="#PSD/0.0.1280.689@0.0.1280.689" timestamp="1630896072405" />
    <state x="178" y="114" key="#PSD/0.0.1440.860@0.0.1440.860" timestamp="1633681384413" />
    <state x="564" y="173" key="#PSD/0.0.1920.1040@0.0.1920.1040" timestamp="1637044698843" />
    <state x="108" y="0" width="1092" height="742" key="#com.intellij.execution.impl.EditConfigurationsDialog" timestamp="1631599976244">
      <screen x="0" y="0" width="1440" height="860" />
    </state>
    <state x="96" y="0" key="#com.intellij.execution.impl.EditConfigurationsDialog/0.0.1280.689@0.0.1280.689" timestamp="1630673339344" />
    <state x="108" y="0" width="1092" height="742" key="#com.intellij.execution.impl.EditConfigurationsDialog/0.0.1440.860@0.0.1440.860" timestamp="1631599976244" />
    <state x="446" y="50" key="#com.intellij.ide.util.MemberChooser" timestamp="1631193188627">
      <screen x="0" y="0" width="1280" height="689" />
    </state>
    <state x="446" y="50" key="#com.intellij.ide.util.MemberChooser/0.0.1280.689@0.0.1280.689" timestamp="1631193188627" />
    <state x="629" y="320" width="443" height="273" key="#com.intellij.refactoring.move.moveClassesOrPackages.MoveClassesOrPackagesDialog.classes" timestamp="1636109859134">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state x="419" y="212" width="443" height="273" key="#com.intellij.refactoring.move.moveClassesOrPackages.MoveClassesOrPackagesDialog.classes/0.0.1280.689@0.0.1280.689" timestamp="1630581497860" />
    <state x="629" y="320" key="#com.intellij.refactoring.move.moveClassesOrPackages.MoveClassesOrPackagesDialog.classes/0.0.1920.1040@0.0.1920.1040" timestamp="1636109859134" />
    <state x="556" y="138" key="#com.intellij.refactoring.safeDelete.UnsafeUsagesDialog" timestamp="1634729070686">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state x="371" y="91" key="#com.intellij.refactoring.safeDelete.UnsafeUsagesDialog/0.0.1280.689@0.0.1280.689" timestamp="1630580958534" />
    <state x="417" y="114" key="#com.intellij.refactoring.safeDelete.UnsafeUsagesDialog/0.0.1440.860@0.0.1440.860" timestamp="1631957549617" />
    <state x="556" y="138" key="#com.intellij.refactoring.safeDelete.UnsafeUsagesDialog/0.0.1920.1040@0.0.1920.1040" timestamp="1634729070686" />
    <state x="371" y="91" key="#com.intellij.refactoring.typeMigration.ui.FailedConversionsDialog" timestamp="1631016724415">
      <screen x="0" y="0" width="1280" height="689" />
    </state>
    <state x="371" y="91" key="#com.intellij.refactoring.typeMigration.ui.FailedConversionsDialog/0.0.1280.689@0.0.1280.689" timestamp="1631016724415" />
    <state x="119" y="121" width="1200" height="620" key="AVDManager" timestamp="1631601380170">
      <screen x="0" y="0" width="1440" height="860" />
    </state>
    <state x="119" y="121" width="1200" height="620" key="AVDManager/0.0.1440.860@0.0.1440.860" timestamp="1631601380170" />
    <state x="540" y="274" key="AndroidCreateResourceDirectoryDialog" timestamp="1637033435574">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state x="540" y="274" key="AndroidCreateResourceDirectoryDialog/0.0.1920.1040@0.0.1920.1040" timestamp="1637033435574" />
    <state x="540" y="274" key="AndroidCreateResourceFileDialog" timestamp="1637034118133">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state x="540" y="274" key="AndroidCreateResourceFileDialog/0.0.1920.1040@0.0.1920.1040" timestamp="1637034118133" />
    <state x="550" y="214" key="AndroidCreateXmlResourceDialog" timestamp="1633662507848">
      <screen x="0" y="0" width="1440" height="860" />
    </state>
    <state x="550" y="214" key="AndroidCreateXmlResourceDialog/0.0.1440.860@0.0.1440.860" timestamp="1633662507848" />
    <state x="106" y="98" width="1736" height="856" key="DiffContextDialog" timestamp="1637047339967">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state x="106" y="98" width="1736" height="856" key="DiffContextDialog/0.0.1920.1040@0.0.1920.1040" timestamp="1637047339967" />
    <state x="692" y="163" key="FileChooserDialogImpl" timestamp="1638241358391">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state x="421" y="100" key="FileChooserDialogImpl/0.0.1280.689@0.0.1280.689" timestamp="1631521246002" />
    <state x="519" y="135" key="FileChooserDialogImpl/0.0.1440.860@0.0.1440.860" timestamp="1633780409449" />
    <state x="692" y="163" key="FileChooserDialogImpl/0.0.1920.1040@0.0.1920.1040" timestamp="1638241358391" />
    <state width="1876" height="372" key="GridCell.Tab.0.bottom" timestamp="1637055396327">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state width="1237" height="132" key="GridCell.Tab.0.bottom/0.0.1280.689@0.0.1280.689" timestamp="1631252680103" />
    <state width="1396" height="94" key="GridCell.Tab.0.bottom/0.0.1440.860@0.0.1440.860" timestamp="1633939053984" />
    <state width="1876" height="372" key="GridCell.Tab.0.bottom/0.0.1920.1040@0.0.1920.1040" timestamp="1637055396327" />
    <state width="1876" height="372" key="GridCell.Tab.0.center" timestamp="1637055396326">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state width="1237" height="132" key="GridCell.Tab.0.center/0.0.1280.689@0.0.1280.689" timestamp="1631252680103" />
    <state width="1396" height="94" key="GridCell.Tab.0.center/0.0.1440.860@0.0.1440.860" timestamp="1633939053984" />
    <state width="1876" height="372" key="GridCell.Tab.0.center/0.0.1920.1040@0.0.1920.1040" timestamp="1637055396326" />
    <state width="1876" height="372" key="GridCell.Tab.0.left" timestamp="1637055396326">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state width="1237" height="132" key="GridCell.Tab.0.left/0.0.1280.689@0.0.1280.689" timestamp="1631252680103" />
    <state width="1396" height="94" key="GridCell.Tab.0.left/0.0.1440.860@0.0.1440.860" timestamp="1633939053983" />
    <state width="1876" height="372" key="GridCell.Tab.0.left/0.0.1920.1040@0.0.1920.1040" timestamp="1637055396326" />
    <state width="1876" height="372" key="GridCell.Tab.0.right" timestamp="1637055396327">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state width="1237" height="132" key="GridCell.Tab.0.right/0.0.1280.689@0.0.1280.689" timestamp="1631252680103" />
    <state width="1396" height="94" key="GridCell.Tab.0.right/0.0.1440.860@0.0.1440.860" timestamp="1633939053984" />
    <state width="1876" height="372" key="GridCell.Tab.0.right/0.0.1920.1040@0.0.1920.1040" timestamp="1637055396327" />
    <state x="332" y="133" key="IDE.errors.dialog" timestamp="1634020734136">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state x="221" y="88" key="IDE.errors.dialog/0.0.1280.689@0.0.1280.689" timestamp="1630896386700" />
    <state x="332" y="133" key="IDE.errors.dialog/0.0.1920.1040@0.0.1920.1040" timestamp="1634020734136" />
    <state x="160" y="0" key="SettingsEditor" timestamp="1631601396760">
      <screen x="0" y="0" width="1440" height="860" />
    </state>
    <state x="142" y="0" key="SettingsEditor/0.0.1280.689@0.0.1280.689" timestamp="1630568211496" />
    <state x="160" y="0" key="SettingsEditor/0.0.1440.860@0.0.1440.860" timestamp="1631601396760" />
    <state x="659" y="184" key="chooseDestDirectoryDialog" timestamp="1637044238073">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state x="439" y="122" key="chooseDestDirectoryDialog/0.0.1280.689@0.0.1280.689" timestamp="1630565598440" />
    <state x="659" y="184" key="chooseDestDirectoryDialog/0.0.1920.1040@0.0.1920.1040" timestamp="1637044238073" />
    <state x="405" y="21" key="com.intellij.testIntegration.createTest.CreateTestDialog" timestamp="1630581138218">
      <screen x="0" y="0" width="1280" height="689" />
    </state>
    <state x="405" y="21" key="com.intellij.testIntegration.createTest.CreateTestDialog/0.0.1280.689@0.0.1280.689" timestamp="1630581138218" />
    <state x="80" y="96" width="908" height="898" key="find.popup" timestamp="1637043903033">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state x="22" y="95" width="605" height="594" key="find.popup/0.0.1280.689@0.0.1280.689" timestamp="1631237515049" />
    <state x="83" y="118" width="681" height="742" key="find.popup/0.0.1440.860@0.0.1440.860" timestamp="1633691165987" />
    <state x="80" y="96" width="908" height="898" key="find.popup/0.0.1920.1040@0.0.1920.1040" timestamp="1637043903033" />
    <state x="356" y="194" key="psd.add.jar.dependency.panel.dimension" timestamp="1630669703108">
      <screen x="0" y="0" width="1280" height="689" />
    </state>
    <state x="356" y="194" key="psd.add.jar.dependency.panel.dimension/0.0.1280.689@0.0.1280.689" timestamp="1630669703108" />
    <state x="240" y="85" key="psd.add.library.dependency.panel.dimension" timestamp="1630669709829">
      <screen x="0" y="0" width="1280" height="689" />
    </state>
    <state x="240" y="85" key="psd.add.library.dependency.panel.dimension/0.0.1280.689@0.0.1280.689" timestamp="1630669709829" />
    <state x="431" y="48" key="psd.add.module.dependency.panel.dimension" timestamp="1636102574697">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state x="431" y="48" key="psd.add.module.dependency.panel.dimension/0.0.1920.1040@0.0.1920.1040" timestamp="1636102574697" />
    <state x="334" y="191" width="672" height="677" key="run.anything.popup" timestamp="1633941389644">
      <screen x="0" y="0" width="1440" height="860" />
    </state>
    <state x="297" y="153" key="run.anything.popup/0.0.1280.689@0.0.1280.689" timestamp="1630463688860" />
    <state x="334" y="191" width="672" height="677" key="run.anything.popup/0.0.1440.860@0.0.1440.860" timestamp="1633941389644" />
    <state x="433" y="203" key="scopes" timestamp="1630576543663">
      <screen x="0" y="0" width="1280" height="689" />
    </state>
    <state x="433" y="203" key="scopes/0.0.1280.689@0.0.1280.689" timestamp="1630576543663" />
    <state x="455" y="15" width="1008" height="1025" key="search.everywhere.popup" timestamp="1637033315561">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state x="303" y="10" width="672" height="678" key="search.everywhere.popup/0.0.1280.689@0.0.1280.689" timestamp="1631169330992" />
    <state x="341" y="12" width="756" height="847" key="search.everywhere.popup/0.0.1440.860@0.0.1440.860" timestamp="1633660305306" />
    <state x="455" y="15" width="1008" height="1025" key="search.everywhere.popup/0.0.1920.1040@0.0.1920.1040" timestamp="1637033315561" />
    <state x="363" y="256" key="vcs.readOnlyHandler.ReadOnlyStatusDialog" timestamp="1631093641066">
      <screen x="0" y="0" width="1280" height="689" />
    </state>
    <state x="363" y="256" key="vcs.readOnlyHandler.ReadOnlyStatusDialog/0.0.1280.689@0.0.1280.689" timestamp="1631093641066" />
  </component>
</project>